# Loki::DestructiveCopy< P > Class Template Reference
[Ownership policies]

`#include <SmartPtr.h>`

List of all members.

## Detailed Description

### template<class P>
class Loki::DestructiveCopy< P >

Implementation of the OwnershipPolicy used by SmartPtr Implements destructive copy semantics (a la std::auto_ptr)

The documentation for this class was generated from the following file:

- SmartPtr.h